| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
CTHM1176SetGetParametersTest.cpp File Reference

Test THM1176 API: Set/get parameters. More...

`#include "gtest/gtest.h"`
`#include "THM1176TestUtilities.h"`
Include dependency graph for CTHM1176SetGetParametersTest.cpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CTHM1176SetGetParametersTest
| Test THM1176 API: Set/get parameters. More...

## Functions
| TEST_F (CTHM1176SetGetParametersTest, ParmAveraging)
| TEST_F (CTHM1176SetGetParametersTest, ParmSleep)
| TEST_F (CTHM1176SetGetParametersTest, ParmTriggerInput)
| TEST_F (CTHM1176SetGetParametersTest, ParmUnits)
| TEST_F (CTHM1176SetGetParametersTest, ParmUseCalibration)
| TEST_F (CTHM1176SetGetParametersTest, ParmRange)

## Detailed Description

Test THM1176 API: Set/get parameters.

Definition in file CTHM1176SetGetParametersTest.cpp.

## Function Documentation

## ◆ TEST_F() [1/6]

TEST_F | ( | CTHM1176SetGetParametersTest | ,
|  | ParmAveraging | )

Test
  Test ParmAveragingGet and ParmAveragingSet methods.

Definition at line 42 of file CTHM1176SetGetParametersTest.cpp.

## ◆ TEST_F() [2/6]

TEST_F | ( | CTHM1176SetGetParametersTest | ,
|  | ParmRange | )

Test
  Test ParmRangeGet and ParmRangeSet methods.

Definition at line 249 of file CTHM1176SetGetParametersTest.cpp.

## ◆ TEST_F() [3/6]

TEST_F | ( | CTHM1176SetGetParametersTest | ,
|  | ParmSleep | )

Test
  Test ParmSleepGet and ParmSleepSet methods.

Definition at line 85 of file CTHM1176SetGetParametersTest.cpp.

## ◆ TEST_F() [4/6]

TEST_F | ( | CTHM1176SetGetParametersTest | ,
|  | ParmTriggerInput | )

Test
  Test ParmTriggerInputGet and ParmTriggerInputSet methods.

Definition at line 99 of file CTHM1176SetGetParametersTest.cpp.

## ◆ TEST_F() [5/6]

TEST_F | ( | CTHM1176SetGetParametersTest | ,
|  | ParmUnits | )

Test
  Test ParmUnitsGet and ParmUnitsSet methods.

Definition at line 221 of file CTHM1176SetGetParametersTest.cpp.

## ◆ TEST_F() [6/6]

TEST_F | ( | CTHM1176SetGetParametersTest | ,
|  | ParmUseCalibration | )

Test
  Test ParmUseCalibrationGet and ParmUseCalibrationSet methods.

Definition at line 235 of file CTHM1176SetGetParametersTest.cpp.